/* -----------------------------------------------------------------------------



File:           JS Core
Version:        1.0
Last change:    00/00/00 
-------------------------------------------------------------------------------- */
(function ($) {
	'use strict';

	var Bisbuzz = {
		init: function() {
			this.Basic.init();  
		},

		Basic: {
			init: function() {

				this.BackgroundImage();
				this.Animation();
				this.StickyHeader();
				this.MobileMenu();
				this.TwinMax();
				this.scrollTop();
				this.counterUp();
				this.searchPopUp();
				this.SkillProgress();
				
				
				
				
				
			},
			BackgroundImage: function (){
				$('[data-background]').each(function() {
					$(this).css('background-image', 'url('+ $(this).attr('data-background') + ')');
				});
			},
			Animation: function (){
				if($('.wow').length){
					var wow = new WOW(
					{
						boxClass:     'wow',
						animateClass: 'animated',
						offset:       0,
						mobile:       true,
						live:         true
					}
					);
					wow.init();
				};
				Splitting();
				ScrollOut({
					targets: '[data-splitting]'
				});
			},
			TwinMax: function (){
				var $circleCursor = $(".cursor");

				function moveCursor(e) {
					var t = e.clientX + "px",
					a = e.clientY + "px";
					TweenMax.to($circleCursor, .2, {
						left: t,
						top: a,
						ease: "Power1.easeOut"
					})
				}

				function zoomCursor(e) {
					TweenMax.to($circleCursor, .1, {
						scale: 3,
						ease: "Power1.easeOut"
					}), $($circleCursor).removeClass("cursor-close")
				}

				function closeCursor(e) {
					TweenMax.to($circleCursor, .1, {
						scale: 3,
						ease: "Power1.easeOut"
					}), $($circleCursor).addClass("cursor-close")
				}

				function defaultCursor(e) {
					TweenLite.to($circleCursor, .1, {
						scale: 1,
						ease: "Power1.easeOut"
					}), $($circleCursor).removeClass("cursor-close")
				}
				$(window).on("mousemove", moveCursor),
				$("a, button, .zoom-cursor").on("mouseenter", zoomCursor),
				$(".trigger-close").on("mouseenter", closeCursor),
				$("a, button, .zoom-cursor, .trigger-close, .trigger-plus").on("mouseleave", defaultCursor);
			},
			StickyHeader: function (){
				jQuery(window).on('scroll', function() {
					if (jQuery(window).scrollTop() > 250) {
						jQuery('.elx-header-section').addClass('sticky-on')
					} else {
						jQuery('.elx-header-section').removeClass('sticky-on')
					}
				});
				jQuery(document).ready(function (o) {
					0 < o(".navSidebar-button").length &&
					o(".navSidebar-button").on("click", function (e) {
						e.preventDefault(), e.stopPropagation(), o(".info-group").addClass("isActive");
					}),
					0 < o(".close-side-widget").length &&
					o(".close-side-widget").on("click", function (e) {
						e.preventDefault(), o(".info-group").removeClass("isActive");
					}),
					o(".xs-sidebar-widget").on("click", function (e) {
						e.stopPropagation();
					})
				});				
			},
			scrollTop: function (){
				$(window).on("scroll", function() {
					if ($(this).scrollTop() > 200) {
						$('.scrollup').fadeIn();
					} else {
						$('.scrollup').fadeOut();
					}
				});

				$('.scrollup').on("click", function()  {
					$("html, body").animate({
						scrollTop: 0
					}, 800);
					return false;
				});
				jQuery('.video_box').magnificPopup({
					disableOn: 200,
					type: 'iframe',
					mainClass: 'mfp-fade',
					removalDelay: 160,
					preloader: false,
					fixedContentPos: false,
				});
				$('.zoom-gallery').magnificPopup({
					delegate: 'a',
					type: 'image',
					closeOnContentClick: false,
					closeBtnInside: false,
					mainClass: 'mfp-with-zoom mfp-img-mobile',
					gallery: {
						enabled: true
					},
					zoom: {
						enabled: true,
						duration: 300, 
						opener: function(element) {
							return element.find('img');
						}
					}
				});
			},
			counterUp: function (){
				if ($(".odometer").length) {
					$('.odometer').appear();
					$(document.body).on('appear', '.odometer', function(e) {
						var odo = $(".odometer");
						odo.each(function() {
							var countNumber = $(this).attr("data-count");
							$(this).html(countNumber);
						});
					});
				}
			},
			MobileMenu: function (){
				$('.open_mobile_menu').on("click", function() {
					$('.mobile_menu_wrap').toggleClass("mobile_menu_on");
				});
				$('.open_mobile_menu').on('click', function () {
					$('body').toggleClass('mobile_menu_overlay_on');
				});
				if($('.mobile_menu li.dropdown ul').length){
					$('.mobile_menu li.dropdown').append('<div class="dropdown-btn"><span class="far fa-arrow-right"></span></div>');
					$('.mobile_menu li.dropdown .dropdown-btn').on('click', function() {
						$(this).prev('ul').slideToggle(500);
					});
				}
				$(".dropdown-btn").on("click", function () {
					$(this).toggleClass("toggle-open");
				});
			},
			SkillProgress: function (){
				if ($(".progress-bar").length) {
					var $progress_bar = $('.progress-bar');
					$progress_bar.appear();
					$(document.body).on('appear', '.progress-bar', function() {
						var current_item = $(this);
						if (!current_item.hasClass('appeared')) {
							var percent = current_item.data('percent');
							current_item.css('width', percent + '%').addClass('appeared').parent().append('<span>' + percent + '%' + '</span>');
						}
						
					});
				};
			},
			searchPopUp: function (){
				$('.search-btn').on('click', function() {
					$('.search-body').toggleClass('search-open');
				});
			},
			
		}
	}
	function projectGalleryActive($scope, $) {
		$('.elx-project-details-slider').slick({
			arrow: true,
			dots: false,
			loop: true,
			speed: 1000,
			infinite: true,
			slidesToShow: 1,
			autoplay: false,
			fade: true,
			slidesToScroll: 1,
			prevArrow: ".elx_pro_details_left_arrow_2",
			nextArrow: ".elx_pro_details_right_arrow_2",
		});
	}
	
	function ProjectSliderTwo($scope, $) {
		$('.elx-project-slider-2').slick({
			arrow: true,
			dots: false,
			loop: false,
			infinite: true,
			slidesToShow: 3,
			speed: 1000,
			autoplay: false,
			slidesToScroll: 1,
			prevArrow: ".elx_pro_left_arrow_2",
			nextArrow: ".elx_pro_right_arrow_2",
			responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 1,
					infinite: false,
				}
			},
			{
				breakpoint: 1000,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 800,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 500,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}

			]
		});
	}	

	function teamActive($scope, $) {
		$('.elx-team-member-slider-for').slick({
			slidesToShow: 1,
			slidesToScroll: 1,
			arrows: false,
			speed: 1000,
			asNavFor: '.elx-team-nav-item-slide',
		});
		$('.elx-team-nav-item-slide').slick({
			slidesToShow: 2,
			slidesToScroll: 1,
			arrow: true,
			vertical:true,
			asNavFor: '.elx-team-member-slider-for',
			dots: false,
			prevArrow: ".elx-team-nav-left-arrow",
			nextArrow: ".elx-team-nav-right-arrow",
		});
	}


	/**
	 * [Sponsor Carousel Active]
	 *
	 * @param   {[type]}  $scope  [$scope description]
	 * @param   {[type]}  $       [$ description]
	 *
	 * @return  {[type]}          [return description]
	 */
	function sponsorActive($scope, $) {
		$('.elx-sponsor-slider').slick({
			arrow: false,
			dots: false,
			loop: true,
			speed: 1000,
			infinite: true,
			slidesToShow: 5,
			autoplay: true,
			slidesToScroll: 1,
			responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 1,
					infinite: true,
				}
			},
			{
				breakpoint: 1000,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 800,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 2
				}
			},
			{
				breakpoint: 500,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			},

			]
		});
	}
	function blogSliderActive($scope, $) {
		$('.elx-blog-slider').slick({
			arrow: true,
			dots: false,
			loop: false,
			infinite: false,
			slidesToShow: 3,
			autoplay: false,
			speed: 1000,
			slidesToScroll: 1,
			prevArrow: ".elx_blg_left_arrow",
			nextArrow: ".elx_blg_right_arrow",
			responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 1,
					infinite: false,
				}
			},
			{
				breakpoint: 1000,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 800,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 500,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}

			]
		});
	}

	function testimosliderActive($scope, $) {
		$('.elx-testimonial-slider').slick({
			arrow: true,
			dots: false,
			loop: false,
			infinite: false,
			slidesToShow: 2,
			speed: 1000,
			autoplay: false,
			slidesToScroll: 1,
			prevArrow: ".elx_testi_left_arrow",
			nextArrow: ".elx_testi_right_arrow",
			responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1,
					infinite: false,
				}
			},
			{
				breakpoint: 1000,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 800,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 500,
				variableWidth: false,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}

			]
		});
	}
	
	function serviceTwoActive($scope, $) {
		$('.elx-service-slider').slick({
			arrow: true,
			dots: true,
			loop: false,
			infinite: false,
			slidesToShow: 4,
			speed: 1000,
			autoplay: false,
			slidesToScroll: 1,
			appendDots:'dots-container',
			prevArrow: ".elx_blg_left_arrow_2",
			nextArrow: ".elx_blg_right_arrow_2",
			responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 3,
					slidesToScroll: 1,
					infinite: false,
				}
			},
			{
				breakpoint: 1000,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 800,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 500,
				settings: {
					slidesToShow: 1,
					slidesToScroll: 1
				}
			}

			]
		});
	}
	function projectActiveTwo($scope, $) {
		$('.elx-project-slider').slick({
			arrow: true,
			dots: false,
			loop: false,
			infinite: true,
			slidesToShow: 4,
			autoplay: false,
			speed: 1000,
			slidesToScroll: 1,
			variableWidth: true,
			prevArrow: ".elx_pro_left_arrow",
			nextArrow: ".elx_pro_right_arrow",
			responsive: [
			{
				breakpoint: 1024,
				settings: {
					slidesToShow: 4,
					slidesToScroll: 1,
					infinite: false,
				}
			},
			{
				breakpoint: 1000,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 800,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 600,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			},
			{
				breakpoint: 500,
				settings: {
					slidesToShow: 2,
					slidesToScroll: 1
				}
			}

			]
		});
	}

	function testimosliderTwoActive($scope, $) {
		$('.elx-testimonial-slider-2').slick({
			arrow: false,
			dots: true,
			loop: true,
			speed: 1000,
			infinite: true,
			slidesToShow: 1,
			autoplay: false,
			slidesToScroll: 1,
		});
	}
	function breadcrumbBg($scope, $) {
		$('[data-background]').each(function() {
			$(this).css('background-image', 'url('+ $(this).attr('data-background') + ')');
		});
	}

	jQuery(document).ready(function (){
		Bisbuzz.init();
	});

	jQuery(window).on('load', function(){
		jQuery('#preloader').fadeOut('slow',function(){jQuery(this).remove();});
	})

	$(window).on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-sponsor-id.default', sponsorActive);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-post-car-id.default', blogSliderActive);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-testimonial-id.default', testimosliderActive);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-testimonial-v2-id.default', testimosliderTwoActive);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-team-slide-id.default', teamActive);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-service-two-id.default', serviceTwoActive);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-project-id.default', ProjectSliderTwo);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-project-main-id.default', projectActiveTwo);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-project-gallery-id.default', projectGalleryActive);
		elementorFrontend.hooks.addAction('frontend/element_ready/ele-breadcrumb-id.default', breadcrumbBg);
	});

})(jQuery);