<?php

// File Security Check
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

function elecrix_theme_options_style() {

    //
    // Enqueueing StyleSheet file
    //
    wp_enqueue_style( 'elecrix-theme-custom-style', get_template_directory_uri() . '/assets/css/custom-style.css' );
    $css_output = '';
    $elecrix_primary_color = cs_get_option('elecrix_color_1'); 
    $elecrix_secondary_color = cs_get_option('elecrix_color_2'); 
    
    //Theme Gradient COlor
    if(!empty($elecrix_primary_color)){
        $css_output .= '        
        :root {
            --base-color:  '.esc_attr($elecrix_primary_color).';
            }
        ';
    }

    if(!empty($elecrix_secondary_color)){
        $css_output .= '        
            :root {
                --base-color-2:  '.esc_attr($elecrix_secondary_color).';
            }
        ';
    }
   

    wp_add_inline_style( 'elecrix-theme-custom-style', $css_output );

}
add_action( 'wp_enqueue_scripts', 'elecrix_theme_options_style' );
