<?php 

/**
 * elecrix Main Menu Register
 *
 * @return void
 */
function elecrix_main_menu(){
    echo str_replace(['menu-item-has-children', 'sub-menu'], ['dropdown', 'dropdown-menu clearfix'], wp_nav_menu( array( 
        'echo'           => false,
        'theme_location' => 'menu-1', 
        'menu_id'        =>'main-nav',
        'menu_class'     =>'nav navbar-nav clearfix',
        'container'=>false,
        'fallback_cb'    => 'Elecrix_Bootstrap_Navwalker::fallback',
    )) );	
}


/**
 * elecrix Header Option
 *
 * @return void
 */
function elecrix_header_option(){
    if('header-style-one' === elecrix_site_header()){
        get_template_part('template-parts/header/header', 'one');
    }elseif('header-style-two' === elecrix_site_header()){
        get_template_part('template-parts/header/header', 'two');
    }else{
      get_template_part('template-parts/header/header', 'two');
    }
}

/**
 * elecrix Header Option
 *
 * @return void
 */
function elecrix_footer_option(){
    get_template_part('template-parts/footer/footer', 'one');
}
/**
 * elecrix Search Popup
 *
 * @return void
 */
function elecrix_search_overlay(){ ?>
    <div class="search-body">
		<div class="search-form">
			<form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-form-area">
				<input class="search-input" type="search" name="s" value="<?php the_search_query();?>" placeholder="<?php esc_attr_e( 'Search Here', 'elecrix' );?>">
				<button type="submit" class="search-btn1">
					<i class="fas fa-search"></i>
				</button>	
			</form>
			<div class="outer-close text-center search-btn">
				<i class="far fa-times"></i>
			</div>
		</div>
	</div>
<?php 
}

function elecrix_header_topbar (){  
$enable_desable_top_bar = cs_get_option('enable_desable_top_bar'); 
$location_icon = cs_get_option('location_icon'); 
$h_address = cs_get_option('h_address'); 
$phone_icon = cs_get_option('phone_icon'); 
$phone_no = cs_get_option('phone_no'); 
$email_icon = cs_get_option('email_icon'); 
$email_id = cs_get_option('email_id'); 
$h_social_icon = cs_get_option('h_social_icon'); 

if($enable_desable_top_bar == true):
?>
<div class="elx-header-top-content d-flex justify-content-between">
    <div class="header-top-info ul-li">
        <ul>
            <?php if(!empty($h_address)):?>
                <li><i class="<?php if(!empty($location_icon)){echo esc_attr($location_icon);}else{'fal fa-map-marker-alt';}?> "></i> <?php echo wp_kses($h_address, true);?></li>
            <?php endif;?>
            <?php if(!empty($phone_no)):?>
                <li><i class="<?php if(!empty($phone_icon)){echo esc_attr($phone_icon);}else{'fal fa-phone-alt';}?>"></i> <?php echo wp_kses($phone_no, true);?></li>
            <?php endif;?>
        </ul>
    </div>
    <div class="header-top-social-info d-flex align-items-center">
        <div class="header-top-info ul-li">
            <ul>
                <?php if(!empty($email_id)):?>
                    <li><i class="<?php if(!empty($email_icon)){echo esc_attr($email_icon);}else{'fal fa-paper-plane';}?>"></i> <?php echo wp_kses($email_id, true);?></li>
                <?php endif;?>
            </ul>
        </div>
        <?php if(!empty($h_social_icon)):?>
        <div class="header-social">
            <?php foreach($h_social_icon as $item):?>
                <a href="<?php echo esc_url($item['link']);?>"><i class="<?php echo esc_attr($item['icon']);?>"></i></a>
            <?php endforeach;?>
        </div>
        <?php endif;?>
    </div>
</div>
<?php
endif;
}

function elecrix_header_markup(){ 
$btn_link = cs_get_option('btn_link');    
$ct_info_title = cs_get_option('ct_info_title');    
$ct_info_desc = cs_get_option('ct_info_desc');    
$ct_info_icon = cs_get_option('ct_info_icon');    
$header_search_off = cs_get_option('header_search_off');    
$header_nav_off = cs_get_option('header_nav_off');    
?>
<div class="elx-header-content-wrap d-flex">
    <div class="brand-logo d-flex align-items-center justify-content-center">
        <?php elecrix_logo();?>
    </div>
    <div class="elx-header-top-menu-content">
        <!-- Top BAR -->
        <?php elecrix_header_topbar();?>
        <div class="elx-header-menu-cta-btn d-flex justify-content-between align-items-center">
            <div class="elx-header-menu-navigation">
                <nav class="elx-main-navigation-area clearfix ul-li">
                    <?php elecrix_main_menu();?>
                </nav>
            </div>
            <div class="elx-header-cta-search-btn d-flex align-items-center">
                <?php if(!empty($ct_info_desc) || !empty($ct_info_title)):?>
                <div class="elx-header-cta d-flex align-items-center">
                    <div class="inner-icon">
                        <i class="<?php echo esc_attr($ct_info_icon);?>"></i>
                    </div>
                    <div class="inner-text">
                        <span class="title"><?php echo wp_kses($ct_info_title, true);?></span>
                        <span><?php echo wp_kses($ct_info_desc, true);?></span>
                    </div>
                </div>
                <?php endif;?>
                <div class="elx-header-search-sidebar-btn d-flex align-items-center">
                    <?php if($header_search_off == true):?>
                    <div class="elx-search-button ">
                        <button class="search-btn"><i class="far fa-search"></i></button>
                    </div>
                    <?php endif;?>
                    <?php if($header_nav_off == true):?>
                    <div class="elx-sidebar-btn">
                        <button class="navSidebar-button"><i class="far fa-bars"></i></button>
                    </div>
                    <?php endif;?>
                </div>
                <?php if(!empty($btn_link['url']) &&  !empty($btn_link['text'])):?>
                <div class="elx-hd-cta-btn text-uppercase">
                    <a href="<?php echo esc_url($btn_link['url']);?>"><?php echo esc_html($btn_link['text']);?></a>
                </div>
                <?php endif;?>
            </div>
            <!-- Mobile Menu  -->
            <?php elecrix_mobile_menu();?>
        </div>
    </div>

</div>
<?php 
}

function elecrix_header_markup_two(){ 
$btn_link = cs_get_option('btn_link');    
$ct_info_title = cs_get_option('ct_info_title');    
$ct_info_desc = cs_get_option('ct_info_desc');    
$ct_info_icon = cs_get_option('ct_info_icon');    
$header_search_off = cs_get_option('header_search_off');    
$header_nav_off = cs_get_option('header_nav_off');    
?>
<div class="elx-header-content-wrap">
    <div class="elx-header-top-menu-content">
        <!-- Top BAR -->
        <?php elecrix_header_topbar();?>
        <div class="elx-header-menu-cta-btn d-flex justify-content-between align-items-center">            
            <div class="brand-logo d-flex align-items-center justify-content-center">
                <?php elecrix_logo();?>
            </div>
            <div class="elx-header-menu-navigation">
                <nav class="elx-main-navigation-area clearfix ul-li">
                    <?php elecrix_main_menu();?>
                </nav>
            </div>
            <div class="elx-header-cta-search-btn d-flex align-items-center">
                <?php if(!empty($ct_info_desc) || !empty($ct_info_title)):?>
                <div class="elx-header-cta d-flex align-items-center">
                    <div class="inner-icon">
                        <i class="<?php echo esc_attr($ct_info_icon);?>"></i>
                    </div>
                    <div class="inner-text">
                        <span class="title"><?php echo wp_kses($ct_info_title, true);?></span>
                        <span><?php echo wp_kses($ct_info_desc, true);?></span>
                    </div>
                </div>
                <?php endif;?>
                <div class="elx-header-search-sidebar-btn d-flex align-items-center">
                    <?php if($header_search_off == true):?>
                    <div class="elx-search-button ">
                        <button class="search-btn"><i class="far fa-search"></i></button>
                    </div>
                    <?php endif;?>
                    <?php if($header_nav_off == true):?>
                    <div class="elx-sidebar-btn">
                        <button class="navSidebar-button"><i class="far fa-bars"></i></button>
                    </div>
                    <?php endif;?>
                </div>
                <?php if(!empty($btn_link['url']) &&  !empty($btn_link['text'])):?>
                <div class="elx-hd-cta-btn text-uppercase">
                    <a href="<?php echo esc_url($btn_link['url']);?>"><?php echo esc_html($btn_link['text']);?></a>
                </div>
                <?php endif;?>
                <!-- Mobile Menu  -->
            </div>
        </div>
        
        <?php elecrix_mobile_menu();?>
    </div>

</div>
<?php 
}

/**
 * [Mobile Menu]
 *
 * @return  [type]  [return description]
 */
function elecrix_mobile_menu(){ ?>
    <div class="mobile_menu position-relative">
        <div class="mobile_menu_button open_mobile_menu">
            <i class="fal fa-bars"></i>
        </div>
        <div class="mobile_menu_wrap">
            <div class="mobile_menu_overlay open_mobile_menu"></div>
            <div class="mobile_menu_content">
                <div class="mobile_menu_close open_mobile_menu">
                    <i class="far fa-times"></i>
                </div>
                <div class="m-brand-logo">
                    <?php elecrix_mobile_logo();?>
                </div>
                <nav class="mobile-main-navigation  clearfix ul-li">
                    <?php elecrix_main_menu();?>
                </nav>
            </div>
        </div>
        <!-- /Mobile-Menu -->
    </div>
<?php 
}

/**
 * Sidebar Nav
 *
 * @return void
 */
function elecrix_sidebar_nav(){    
    $off_logo = cs_get_option('off_logo');    
    $aboout_title = cs_get_option('aboout_title');    
    $aboout_info = cs_get_option('aboout_info');    
    $galle_title = cs_get_option('galle_title');    
    $gallerys = cs_get_option('galle-gallery-1');    
    $gallery_ids = explode( ',', $gallerys );
    $social_title_title = cs_get_option('social_title_title');    
    $offc_social_icons = cs_get_option('offc_social_icons');    
?>
    <div class="xs-sidebar-group info-group">
		<div class="xs-overlay xs-bg-black">
			<div class="row loader-area">
				<div class="col-3 preloader-wrap">
					<div class="loader-bg"></div>
				</div>
				<div class="col-3 preloader-wrap">
					<div class="loader-bg"></div>
				</div>
				<div class="col-3 preloader-wrap">
					<div class="loader-bg"></div>
				</div>
				<div class="col-3 preloader-wrap">
					<div class="loader-bg"></div>
				</div>
			</div>
		</div>
		<div class="xs-sidebar-widget">
			<div class="sidebar-widget-container">
				<div class="widget-heading">
					<a href="#" class="close-side-widget">
						<?php esc_html_e( 'X', 'elecrix' );?>
					</a>
				</div>
				<div class="sidebar-textwidget">

					<div class="sidebar-info-contents headline pera-content">
						<div class="content-inner">
                            <?php if(!empty($off_logo['url'])):?>
							<div class="logo">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url($off_logo['url']);?>" alt="<?php echo esc_attr($off_logo['alt']);?>"></a>
							</div>
                            <?php endif;?>
							<div class="content-box">
								<h5><?php echo esc_html($aboout_title);?></h5>
								<p class="text"><?php echo wp_kses( $aboout_info, true );?></p>
							</div>
							<div class="gallery-box ul-li">
                                <?php if(!empty($galle_title)):?>
								    <h5><?php echo esc_html($galle_title);?></h5>
                                <?php endif;?>
								<ul class="zoom-gallery">
                                    <?php foreach($gallery_ids as $item):?>
									    <li><a href="<?php echo esc_url(wp_get_attachment_url($item, 'full'));?>" data-source="<?php echo esc_url(wp_get_attachment_url($item, 'full'));?>"><img src="<?php echo esc_url(wp_get_attachment_url($item, 'large'));?>" alt="<?php esc_attr_e('Gallery', 'elecrix');?>"></a></li>
                                    <?php endforeach;?>
								</ul>
							</div>
							<div class="content-box">
                                <?php if(!empty($social_title_title)):?>
                                    <h5><?php echo esc_html($social_title_title);?></h5>
                                <?php endif;?>
                                <?php if(!empty($offc_social_icons)):?>
								<ul class="social-box">
                                    <?php foreach($offc_social_icons as $sicon):?>
									    <li><a href="<?php echo esc_url($sicon['link']);?>" class="<?php echo esc_attr($sicon['icon']);?>"></a></li>
                                    <?php endforeach;?>
								</ul>
                                <?php endif;?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php 
}


/***
 * elecrix Post Loop
 */
function elecrix_post_loop(){
    if ( have_posts() ) :

        /* Start the Loop */
        while ( have_posts() ) :
            the_post();

            /*
                * Include the Post-Type-specific template for the content.
                * If you want to override this in a child theme, then include a file
                * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                */
            get_template_part( 'template-parts/content', get_post_type() );

        endwhile; ?>

        <div class="elx-pagination d-flex  text-center ul-li">
            <?php elecrix_pagination();?>
        </div> 

    <?php else :

        get_template_part( 'template-parts/content', 'none' );

    endif;
}

/**
 * Single Post Loop
 *
 * @return void
 */
function elecrix_single_post_loop(){
    while ( have_posts() ) :
        the_post();

        get_template_part( 'template-parts/content', 'single' );

        // If comments are open or we have at least one comment, load up the comment template.
        if ( comments_open() || get_comments_number() ) :
            comments_template();
        endif;

    endwhile; // End of the loop.
}

function elecrix_archive_loop(){ ?>
    <?php if ( have_posts() ) : ?>

        <?php
        /* Start the Loop */
        while ( have_posts() ) :
            the_post();

            /*
             * Include the Post-Type-specific template for the content.
             * If you want to override this in a child theme, then include a file
             * called content-___.php (where ___ is the Post Type name) and that will be used instead.
             */
            get_template_part( 'template-parts/content', get_post_type() );

        endwhile; ?>

        <div class="elx-pagination d-flex  text-center ul-li">
            <?php elecrix_pagination();?>
        </div> 

    <?php else :

        get_template_part( 'template-parts/content', 'none' );

    endif;
    ?>
<?php 
}

/**
 * Search Loop
 *
 * @return void
 */
function elecrix_search_loop(){ ?>
    <?php if ( have_posts() ) : ?>

        <?php
        /* Start the Loop */
        while ( have_posts() ) :
            the_post();

            /**
             * Run the loop for the search to output the results.
             * If you want to overload this in a child theme then include a file
             * called content-search.php and that will be used instead.
             */
            get_template_part( 'template-parts/content', 'search' );

        endwhile;?>

        <div class="elx-pagination d-flex  text-center ul-li">
            <?php elecrix_pagination();?>
        </div> 

    <?php else :

        get_template_part( 'template-parts/content', 'none' );

    endif;
    ?>
<?php
}

/**
 * Blog Breadcrumb
 *
 * @return void
 */
function elecrix_page_breadcrumb(){        
    $br_bg_img = cs_get_option('br_bg_img');    
    $br_bg_img_url = '';
    if(!empty($br_bg_img['url'])){
       $br_bg_img_url = $br_bg_img['url'];
    }else{
        $br_bg_img_url = get_template_directory_uri() . "/assets/img/bread-bg.jpg";
    }  

?>
<section id="elx-breadcrumb" class="elx-breadcrumb-section" data-background="<?php echo esc_url($br_bg_img_url);?>">
    <div class="container">
        <div class="elx-breadcrumb-content headline ul-li">
            <h3><?php if(!empty($br_custom_title)){echo esc_html($br_custom_title);}else{ esc_html_e( 'Blog', 'elecrix' );}?></h3>
            <div class="elx-breadcrumb-list">
                <ul>
                    <?php echo elecrix_the_breadcrumb();?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php 
}

/**
 * Shop Breadcrumb
 *
 * @return void
 */
function elecrix_shop_breadcrumb(){        
    $br_bg_img = cs_get_option('br_bg_img');    
    $br_bg_img_url = '';
    if(!empty($br_bg_img['url'])){
       $br_bg_img_url = $br_bg_img['url'];
    }else{
        $br_bg_img_url = get_template_directory_uri() . "/assets/img/bread-bg.jpg";
    }  

?>
<section id="elx-breadcrumb" class="elx-breadcrumb-section" data-background="<?php echo esc_url($br_bg_img_url);?>">
    <div class="container">
        <div class="elx-breadcrumb-content headline ul-li">
            <h3><?php if(!empty($br_custom_title)){echo esc_html($br_custom_title);}else{the_title(); }?></h3>
            <div class="elx-breadcrumb-list">
                <ul>
                    <?php echo elecrix_the_breadcrumb();?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php 
}

/**
 * Blog Breadcrumb
 *
 * @return void
 */
function elecrix_blog_breadcrumb(){ 
    $br_custom_title = cs_get_option('br_custom_title');    
    $br_bg_img = cs_get_option('br_bg_img');    
    $br_bg_img_url = '';
    if(!empty($br_bg_img['url'])){
       $br_bg_img_url = $br_bg_img['url'];
    }else{
        $br_bg_img_url = get_template_directory_uri() . "/assets/img/bread-bg.jpg";
    }
?>

<section id="elx-breadcrumb" class="elx-breadcrumb-section" data-background="<?php echo esc_url($br_bg_img_url);?>">
    <div class="container">
        <div class="elx-breadcrumb-content headline ul-li">
            <h3><?php if(!empty($br_custom_title)){echo esc_html($br_custom_title);}else{ esc_html_e( 'Blog', 'elecrix' );}?></h3>
            <div class="elx-breadcrumb-list">
                <ul>
                    <?php echo elecrix_the_breadcrumb();?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php 
}

/**
 * Blog Breadcrumb
 *
 * @return void
 */
function elecrix_single_blog_breadcrumb(){ 
    $br_bg_img_url = '';   
    $br_bg_img_url = '';
    if(!empty($br_bg_img['url'])){
       $br_bg_img_url = $br_bg_img['url'];
    }else{
        $br_bg_img_url = get_template_directory_uri() . "/assets/img/bread-bg.jpg";
    }
?>
<section id="elx-breadcrumb" class="elx-breadcrumb-section" data-background="<?php echo esc_url($br_bg_img_url);?>">
    <div class="container">
        <div class="elx-breadcrumb-content headline ul-li">
            <h3><?php the_title();?></h3>
            <div class="elx-breadcrumb-list">
                <ul>
                    <?php echo elecrix_the_breadcrumb();?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php 
}

/**
 * Blog Breadcrumb
 *
 * @return void
 */
function elecrix_archive_breadcrumb(){    
    $br_bg_img = cs_get_option('br_bg_img');    
    $br_bg_img_url = '';
    if(!empty($br_bg_img['url'])){
       $br_bg_img_url = $br_bg_img['url'];
    }else{
        $br_bg_img_url = get_template_directory_uri() . "/assets/img/bread-bg.jpg";
    }  
?>
<section id="elx-breadcrumb" class="elx-breadcrumb-section" data-background="<?php echo esc_url($br_bg_img_url);?>">
    <div class="container">
        <div class="elx-breadcrumb-content headline ul-li">
            <h3><?php
            the_archive_title();
            the_archive_description( '<div class="archive-description">', '</div>' );
            ?></h3>
            <div class="elx-breadcrumb-list">
                <ul>
                    <?php echo elecrix_the_breadcrumb();?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php 
}

/**
 * Blog Breadcrumb
 *
 * @return void
 */
function elecrix_search_breadcrumb(){ 
    $br_bg_img = cs_get_option('br_bg_img');    
    $br_bg_img_url = '';
    if(!empty($br_bg_img['url'])){
       $br_bg_img_url = $br_bg_img['url'];
    }else{
        $br_bg_img_url = get_template_directory_uri() . "/assets/img/bread-bg.jpg";
    }    
?>
<section id="elx-breadcrumb" class="elx-breadcrumb-section" data-background="<?php echo esc_url($br_bg_img_url);?>">
    <div class="container">
        <div class="elx-breadcrumb-content headline ul-li">
            <h3><?php
            /* translators: %s: search query. */
            printf( esc_html__( 'Search Results for: %s', 'elecrix' ), '<span>' . get_search_query() . '</span>' );
            ?></h3>
            <div class="elx-breadcrumb-list">
                <ul>
                    <?php echo elecrix_the_breadcrumb();?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php 
}

/**
 * Blog Breadcrumb
 *
 * @return void
 */
function elecrix_404_breadcrumb(){ 
    $er_custom_title = cs_get_option('er_custom_title');    
    $br_bg_img = cs_get_option('br_bg_img');    
    $br_bg_img_url = '';
    if(!empty($br_bg_img['url'])){
       $br_bg_img_url = $br_bg_img['url'];
    }else{
        $br_bg_img_url = get_template_directory_uri() . "/assets/img/bread-bg.jpg";
    }    
?>
<section id="elx-breadcrumb" class="elx-breadcrumb-section" data-background="<?php echo esc_url($br_bg_img_url);?>">
    <div class="container">
        <div class="elx-breadcrumb-content headline ul-li">
            <h3><?php if(!empty($er_custom_title)){echo esc_html($er_custom_title);}else{esc_html_e( '404 Not Found', 'elecrix' );}?></h3>
            <div class="elx-breadcrumb-list">
                <ul>
                    <?php echo elecrix_the_breadcrumb();?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php 
}

function error_404_content(){
    $error_code = cs_get_option('error_code');
    $error_title = cs_get_option('error_title');
    $error_info_title = cs_get_option('error_info_title');
    $error_button = cs_get_option('error_button');
    ?>
    <div class="error__info text-center">
        <h1><?php if(!empty($error_code)){echo esc_html($error_code);}else{esc_html_e( '404', 'elecrix' );}?></h1>
        <h2><?php if(!empty($error_title)){echo esc_html($error_title);}else{esc_html_e( 'Oops... It looks like you ‘re lost !
', 'elecrix' );}?></h2>
        <p><?php if(!empty($error_info_title)){echo esc_html($error_info_title);}else{esc_html_e( 'Oops! The page you are looking for does not exist. It might have been moved or deleted.', 'elecrix' );}?></p>
        <div class="elx-btn text-uppercase">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php if(!empty($error_button)){echo esc_html($error_button);}else{esc_html_e( '404', 'elecrix' );}?> <i class="fas fa-long-arrow-right"></i></a>
        </div>
        
    </div>
<?php 
}
