<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package elecrix
 */

get_header();
$elecrixPostClass = '';
if(is_active_sidebar('sidebar-1')){
	$elecrixPostClass = 'col-lg-8';
}else{
	$elecrixPostClass = 'col-lg-10 offset-lg-1';
}
elecrix_blog_breadcrumb();
?>
<section id="elx-blog-feed" class="elx-blog-feed-section inner-page-padding">
	<div class="container">
		<div class="elx-blog-feed-content">
			<div class="row">
				<div class="<?php echo esc_attr($elecrixPostClass);?>">
					<div class="elx-blog-feed-item-area">
						<?php elecrix_post_loop();?>
					</div>
				</div>		
				<?php get_sidebar();?>			
			</div>
		</div>
	</div>
</section>
<?php
get_footer();
