<?php
include_once( get_template_directory() . '/lib/ocdi/codestar.php');
function elecrix_ocdi_import_files() {
	return array(
		array(
			'import_file_name'             => 'Home 1',
			'categories'                   => array( 'elecrix' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/widgets.wie',
			'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/customizer.dat',
			'local_import_json'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/codestar.json',
					'option_name' => 'elecrix',
				),
			),
			'import_preview_image_url'     => 'https://themexriver.com/wp/elecrix/tools/screenshot.png',
			'import_notice'                => esc_html__( 'Import process may take 3-10 minutes. If you facing any issues please contact our support.After Import Succesfuly go to Appearance->Menu And Set your Menu', 'elecrix' ),
			'preview_url'                  => 'https://themexriver.com/wp/elecrix/',
		),
		array(
			'import_file_name'             => 'Home 2',
			'categories'                   => array( 'elecrix' ),
			'local_import_file'            => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/content.xml',
			'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/widgets.wie',
			'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/customizer.dat',
			'local_import_json'           => array(
				array(
					'file_path'   => trailingslashit( get_template_directory() ) . 'lib/ocdi/demo/codestar.json',
					'option_name' => 'elecrix',
				),
			),
			'import_preview_image_url'     => 'https://themexriver.com/wp/elecrix/tools/home-2.png',
			'import_notice'                => esc_html__( 'Import process may take 3-10 minutes. If you facing any issues please contact our support.After Import Succesfuly go to Appearance->Menu And Set your Menu', 'elecrix' ),
			'preview_url'                  => 'https://themexriver.com/wp/elecrix/home-2/',
		),
	);
}
add_filter( 'pt-ocdi/import_files', 'elecrix_ocdi_import_files' );

function elecrix_ocdi_after_import( $selected_import ) {

	if ( 'Home 2' === $selected_import['import_file_name'] ) {
		$front_page_id = get_page_by_title( 'Home 2' );
	  }else {
		$front_page_id = get_page_by_title( 'Home' );
	}

    $blog_page_id	= get_page_by_title( 'News' );

	// Assign elecrix menus to their locations where will be display.
    $primary  = get_term_by( 'name', 'Primary', 'nav_menu' );

    set_theme_mod( 
        'nav_menu_locations', 
        array( 
            'menu-1' => $primary->term_id,
        ) 
    );

	//Revulation Slider Import
	if( class_exists('RevSliderSliderImport') ) {
		foreach(array('HomeOne', 'HomeTwo') as $slider) {
			$file = get_template_directory() . '/lib/ocdi/slider/'.$slider.'.zip';
			if( file_exists($file) ) {
				$importer = new RevSliderSliderImport();
				$response = $importer->import_slider( true, $file );
			}
		}
    }


    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );
}
add_action( 'pt-ocdi/after_import', 'elecrix_ocdi_after_import' );

function elecrix_ocdi_before_content_import() {
    add_filter( 'wp_import_post_data_processed', 'elecrix_ocdi_wp_import_post_data_processed', 99, 2 );
}
add_action( 'pt-ocdi/before_content_import', 'elecrix_ocdi_before_content_import', 99 );

function elecrix_ocdi_wp_import_post_data_processed( $postdata, $data ) {
    return wp_slash( $postdata );
}

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );