<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package elecrix
 */
$blog_btn_text = cs_get_option('blog_btn_text');
$categories = get_the_category();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('elx-blog-feed-item'); ?>>
	<div class="elx-blog-item">
		<div class="elx-blog-img-date position-relative">
			<?php if(has_post_thumbnail()){?>
			<div class="elx-blog-img">
				<?php the_post_thumbnail( 'elecrix-img-size-3' )?>
			</div>
			<?php } ?>
			<div class="elx-blog-date text-center position-absolute">
				<?php echo get_the_date('d');?>
				<span><?php echo get_the_date('M,Y');?></span>
			</div>
		</div>
		<div class="elx-blog-text-meta">
			<div class="elx-blog-meta">
				<a href="#" tabindex="0"><i class="far fa-user"></i> <?php the_author()?></a>
				<a href="#" tabindex="0">
				<?php if ( ! empty( $categories ) ) {?>
					<i class="far fa-tag"></i> 
								<?php echo esc_html( $categories[0]->name );?>
							<?php } ?>
				</a>
			</div>
			<div class="elx-blog-text headline pera-content">
				<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
				<p><?php the_excerpt();?></p>
				<a class="read_more text-uppercase" href="<?php the_permalink();?>" tabindex="0"><?php if(!empty($blog_btn_text)){echo esc_html($blog_btn_text);}else{esc_html_e( 'Read More', 'elecrix' );}?> <i class="fal fa-long-arrow-right"></i></a>
			</div>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
