<?php
/**
 * Template part for displaying single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package elecrix
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="elx-blog-item">
        <div class="elx-blog-img-date position-relative">
            <?php if(has_post_thumbnail()){?>
			<div class="elx-blog-img">
				<?php the_post_thumbnail( 'elecrix-img-size-3' )?>
			</div>
			<?php } ?>
            <div class="elx-blog-date text-center position-absolute">
                <?php echo get_the_date('d');?>
                <span><?php echo get_the_date('M,Y');?></span>
            </div>
        </div>
    </div>
    <div class="elx-blog-details-text-content">
        <?php
            the_content(
                sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'elecrix' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    wp_kses_post( get_the_title() )
                )
            );

            wp_link_pages(
                array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'elecrix' ),
                    'after'  => '</div>',
                )
            );
        ?>
    </div>
<?php 
    if(function_exists('elecrix_authore_info')){
        elecrix_authore_info();
    }
?>
</article><!-- #post-<?php the_ID(); ?> -->

