<?php 
$footer_social = cs_get_option('footer_social');
$about_title = cs_get_option('about_title');
$about_desc = cs_get_option('about_desc');
$footer_contact_info = cs_get_option('footer_contact_info');
$opening_title = cs_get_option('opening_title');
$opening_text = cs_get_option('opening_text');
$contact_title = cs_get_option('contact_title');
$no_f_w = '';
if(!is_active_sidebar('footer-1') || !is_active_sidebar('footer-2')){
    $no_f_w = 'no_footer_active';
}
?>
<footer id="elx-footer" class="elx-footer-section <?php echo esc_attr($no_f_w);?>">
    <div class="container">
        <?php if(is_active_sidebar('footer-1') || is_active_sidebar('footer-2')):?>
        <div class="elx-footer-widget-wrapper">
            <div class="row">
                <div class="col-lg-3 col-md-6">
                    <div class="elx-footer-widget headline pera-content ul-li-block">
                        <div class="address-widget">
                            <h3 class="widget-title"><?php echo esc_html($about_title);?></h3>
                            <p><?php echo wp_kses($about_desc, true);?></p>
                            <?php if(!empty($footer_social)):?>
                            <div class="footer-social">
                                <?php foreach($footer_social as $item):?>
                                    <a href="<?php echo esc_url($item['link']);?>"><i class="<?php echo esc_attr($item['icon']);?>"></i></a>
                                <?php endforeach;?>
                            </div>
                            <?php 
                            endif;?>
                        </div>
                    </div>
                </div>
                <?php if(is_active_sidebar('footer-1')):?>
                    <div class="col-lg-3 col-md-6">
                        <?php dynamic_sidebar('footer-1');?>
                    </div>
                <?php endif;?>
                <?php if(is_active_sidebar('footer-2')):?>
                    <div class="col-lg-3 col-md-6">
                        <?php dynamic_sidebar('footer-2');?>
                    </div>
                <?php endif;?>
                <div class="col-lg-3 col-md-6">
                    <div class="elx-footer-widget headline pera-content ul-li-block">
                        <div class="contact-widget">
                            <?php if(!empty($contact_title)):?>
                                <h3 class="widget-title"><?php echo esc_html($contact_title);?></h3>
                            <?php endif;?>
                            <?php if(!empty($footer_contact_info)):?>
                            <div class="elx-contact-item-area">
                                <?php foreach($footer_contact_info as $item):?>
                                <div class="elx-contact-item d-flex">
                                    <div class="inner-icon">
                                        <i class="<?php echo esc_attr($item['icon']);?>"></i>
                                    </div>
                                    <div class="inner-text">
                                        <?php echo wp_kses($item['title'], true);?>
                                    </div>
                                </div>
                                <?php endforeach;?>
                            </div>
                            <?php endif;?>
                            <?php if(!empty($opening_title) || !empty($opening_text)):?>
                            <div class="elx-open-hours">
                                <h4><?php echo esc_html($opening_title);?></h4>
                                <p><?php echo wp_kses($opening_text, true);?></p>
                            </div>
                            <?php endif;?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endif;?>
        <div class="elx-footer-copyright d-flex justify-content-between align-items-center">
            <div class="copyright-logo">
                <?php elecrix_footer_logo();?>
            </div>
            <div class="copyright-text">
                <?php 
                    if(!empty($elecrix_copywrite_text)){
                        echo wp_kses( $elecrix_copywrite_text, true );
                    }else{
                        esc_html_e( ' © 2023 Themexriver All Rights Reserved.', 'elecrix' );
                    }
                ?> 
            </div>
        </div>
    </div>
</footer>